Subject: Re: [MMUSIC] whitespace after 's=' in SDP

From: [email-masked]
Date: Fri, 14 Jun 2002 12:46:46 +0530

Hi Hisham,

Even I had seen this some time ago in one of the drafts.
(draft-ietf-mmusic-sdp-offer-answer-02.txt, page 4)

What (at least as per the offer-answer draft) is
allowed, is :
"s=<__a_single_space_followed_by_no_text__> CRLF"

Strictly speaking, what is not allowed is:
"s= a space and text after the space CRLF"

In practice, I believe there are some vendors doing the
former (single space) as a part of their s= line within
the SDP. Most do not do the latter (space before the text)
though.

Whether s= is the only line where this is being
done? ... again, even I'm curious to know about that.
I think it is. Perhaps others can add something here.

Hope that helps.

Regards,
Siddharth.

--------------
Siddharth Toshniwal @ Hughes Software Systems
Bangalore, India.
http://www.hssworld.com

[email-masked] on 06/14/2002 12:16:36 PM

To:   [email-masked]
cc:    (bcc: Siddharth J Toshniwal/HSSBLR)

Subject:  [MMUSIC] whitespace after 's=' in SDP

Is a whitespace allowed in the s= line of an SDP message?

from ABNF grammar:

session-name-field =  "s=" text CRLF

; generic sub-rules: datatypes
text =                byte-string

byte-string =         1*(%x01-09/%x0B-0C/%x0E-FF)
                      ;any byte except NUL, CR or LF

The space is %x20 so it can be included in any byte-string.
Byte-sting 's= Some Text" should be valid.

But the draft also mentions that "Whitespace MUST NOT be used either side
of the `='
sign"

So, is the grammar wrong? or is s= an exception? Are there any other
exceptions?

Regards,
Hisham

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic